﻿@{ 
    var post = (Post)Model;
    var comentario = (List<Comentario>)ViewBag.Comentario;
}

<div>
    <h3>@post.Nombre</h3>
    <div>
        <p><strong>Autor: </strong> @post.Autor</p>
        <p><strong>Fecha de Creacion: </strong>@post.FechaCreacion</p>
        <div>
            <p><strong>Contenido</strong> </p>
        </div>
        <p>@post.Contenido</p>
    </div>
</div>

<div>
    <h3> ..:: COMENTARIOS ::..</h3>

    <a href="/Post/RegistrarComentario?id=@post.Id">Nuevo comentario</a>

    <div>
        @foreach (var item in comentario)
        {
            <p>@item.Opinion</p>
            <p><strong>Fecha cracion: </strong>@item.FechaComentario</p>
        }
    </div>
</div>